
apiVersion: apps/v1
kind: Deployment
metadata:
  name: sys-openldap
  labels:
    app: sys-openldap
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sys-openldap
  template:
    metadata:
      labels:
        app: sys-openldap
    spec:
      containers:
      - name: sys-openldap
        image: dockerhub.daline.com.cn/openldap:1.0.1
        ports:
        - containerPort: 389
          name: "openldap"
        volumeMounts:
          - name: ldap-data
            mountPath: /var/lib/ldap
          - name: ldap-config
            mountPath: /etc/ldap/slapd.d
          - name: ldap-certs
            mountPath: /container/service/slapd/assets/certs
          - name: localtime
            mountPath: /etc/localtime
            readOnly: true
        env:
          - name: "TZ"
            value: "Asia/Shanghai"
          - name: LDAP_LOG_LEVEL
            value: "256"
          - name: LDAP_ORGANISATION
            value: "Daline Inc."
          - name: LDAP_DOMAIN
            value: "daline.com"
          - name: LDAP_ADMIN_PASSWORD
            value: "Hell0DAL"
          - name: LDAP_CONFIG_PASSWORD
            value: "Hell0DAL"
          - name: LDAP_READONLY_USER
            value: "false"
          - name: LDAP_READONLY_USER_USERNAME
            value: "readonly"
          - name: LDAP_READONLY_USER_PASSWORD
            value: "readonly"
          - name: LDAP_RFC2307BIS_SCHEMA
            value: "false"
          - name: LDAP_BACKEND
            value: "mdb"
          - name: LDAP_TLS
            value: "true"
          - name: LDAP_TLS_CRT_FILENAME
            value: "ldap.crt"
          - name: LDAP_TLS_KEY_FILENAME
            value: "ldap.key"
          - name: LDAP_TLS_DH_PARAM_FILENAME
            value: "dhparam.pem"
          - name: LDAP_TLS_CA_CRT_FILENAME
            value: "ca.crt"
          - name: LDAP_TLS_ENFORCE
            value: "false"
          - name: LDAP_TLS_CIPHER_SUITE
            value: "SECURE256:+SECURE128:-VERS-TLS-ALL:+VERS-TLS1.2:-RSA:-DHE-DSS:-CAMELLIA-128-CBC:-CAMELLIA-256-CBC"
          - name: LDAP_TLS_VERIFY_CLIENT
            value: "demand"
          - name: LDAP_REPLICATION
            value: "false"
          - name: LDAP_REPLICATION_CONFIG_SYNCPROV
            value: "binddn=\"cn=admin,cn=config\" bindmethod=simple credentials=$LDAP_CONFIG_PASSWORD searchbase=\"cn=config\" type=refreshAndPersist retry=\"60 +\" timeout=1 starttls=critical"
          - name: LDAP_REPLICATION_DB_SYNCPROV
            value: "binddn=\"cn=admin,$LDAP_BASE_DN\" bindmethod=simple credentials=$LDAP_ADMIN_PASSWORD searchbase=\"$LDAP_BASE_DN\" type=refreshAndPersist interval=00:00:00:10 retry=\"60 +\" timeout=1 starttls=critical"
          - name: LDAP_REPLICATION_HOSTS
            value: "#PYTHON2BASH:['ldap://ldap-one-service', 'ldap://ldap-two-service']"
          - name: KEEP_EXISTING_CONFIG
            value: "false"
          - name: LDAP_REMOVE_CONFIG_AFTER_SETUP
            value: "true"
          - name: LDAP_SSL_HELPER_PREFIX
            value: "ldap"
      volumes:
        - name: ldap-data
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/openldap/data/"
        - name: ldap-config
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/openldap/config/"
        - name: ldap-certs
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/openldap/certs/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: sys-openldap
  name: sys-openldap
spec:
  ports:
    - port: 389
      targetPort: 389
      name: "openldap"
  selector:
    app: sys-openldap

---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: sys-phpldapadmin
  labels:
    app: sys-phpldapadmin
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sys-phpldapadmin
  template:
    metadata:
      labels:
        app: sys-phpldapadmin
    spec:
      containers:
        - name: sys-phpldapadmin
          image: osixia/phpldapadmin:0.9.0
          ports:
            - containerPort: 80
              name: "http"
          volumeMounts:
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: PHPLDAPADMIN_LDAP_HOSTS
              value: "sys-openldap"
            - name: PHPLDAPADMIN_SERVER_ADMIN
              value: "alex.c@daline.com.cn"
            - name: PHPLDAPADMIN_SERVER_PATH
              value: "/phpldapadmin"
            - name: PHPLDAPADMIN_HTTPS
              value: "false"
      volumes:
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: sys-phpldapadmin
  name: sys-phpldapadmin
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
  selector:
    app: sys-phpldapadmin

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: sys-phpldapadmin
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/sys-phpldapadmin(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: sys-phpldapadmin
            port:
              number: 80
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: sys-mariadb
  labels:
    app: sys-mariadb
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sys-mariadb
  template:
    metadata:
      labels:
        app: sys-mariadb
    spec:
      containers:
        - name: sys-mariadb
          image: mariadb:10.3
          volumeMounts:
            - name: data
              mountPath: /var/lib/mysql
            - name: log
              mountPath: /var/log/mysql
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 3306
              name: "mariadb"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "MYSQL_ROOT_PASSWORD"
              value: "Hell0DAL"
      volumes:
        - name: data
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/mariadb/data"
        - name: log
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/mariadb/log"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: sys-mariadb
  name: sys-mariadb
spec:
  type: NodePort
  ports:
    - port: 3306
      targetPort: 3306
      name: "mariadb"
  selector:
    app: sys-mariadb
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: sys-redis
  labels:
    app: sys-redis
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sys-redis
  template:
    metadata:
      labels:
        app: sys-redis
    spec:
      containers:
        - name: sys-redis
          image: bitnami/redis:7.0.1
          volumeMounts:
            - name: data
              mountPath: /bitnami/redis/data
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 6379
              name: "redis"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "REDIS_PASSWORD"
              value: "Hell0DAL"
            - name: "REDIS_DISABLE_COMMANDS"
              value: "FLUSHDB,FLUSHALL,CONFIG"
      volumes:
        - name: data
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/redis"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: sys-redis
  name: sys-redis
spec:
  type: NodePort
  ports:
    - port: 6379
      targetPort: 6379
      name: "redis"
  selector:
    app: sys-redis
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: sys-zipkin
  labels:
    app: sys-zipkin
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sys-zipkin
  template:
    metadata:
      labels:
        app: sys-zipkin
    spec:
      containers:
        - name: sys-zipkin
          image: openzipkin/zipkin:2.23
          volumeMounts:
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 9411
              name: "zipkin"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
      volumes:
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: sys-zipkin
  name: sys-zipkin
spec:
  type: NodePort
  ports:
    - port: 9411
      targetPort: 9411
      name: "zipkin"
  selector:
    app: sys-zipkin

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: sys-zipkin
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
spec:
  ingressClassName: nginx
  rules:
  - host: zipkin-westfutu.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: sys-zipkin
            port:
              number: 9411
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-sys-usercenter-v1x0x1
  labels:
    app: pu-sys-usercenter-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-sys-usercenter-v1x0x1
  template:
    metadata:
      labels:
        app: pu-sys-usercenter-v1x0x1
    spec:
      hostname: pu-sys-usercenter-v1x0x1
      containers:
        - name: pu-sys-usercenter-v1x0x1
          image: dockerhub.daline.com.cn/pu_sys_usercenter:1.0.1.last
          imagePullPolicy: Always
          volumeMounts:
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
          resources:
            requests:
              memory: 512Mi
            limits:
              memory: 1024Mi
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "AUTHLIB_INSECURE_TRANSPORT"
              value: "1"
            - name: "SERVE"
              value: "1"
            # ldap config
            - name: "LDAP_URL"
              value: "ldap://sys-openldap:389"
            - name: "LDAP_BASE"
              value: "ou=user,dc=daline,dc=com"
            - name: "LDAP_BIND_DN"
              value: "cn=admin,dc=daline,dc=com"
            - name: "LDAP_BIND_PASSWORD"
              value: "Hell0DAL"
            # log config
            - name: "LOG_LEVEL"
              value: "debug"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # port config
      volumes:
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-sys-usercenter-v1x0x1
  name: pu-sys-usercenter-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
  selector:
    app: pu-sys-usercenter-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-sys-usercenter-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-sys-usercenter-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-sys-usercenter-v1x0x1
            port:
              number: 80
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-sys-mysqlconfig-v1x0x1
  labels:
    app: pu-sys-mysqlconfig-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-sys-mysqlconfig-v1x0x1
  template:
    metadata:
      labels:
        app: pu-sys-mysqlconfig-v1x0x1
    spec:
      hostname: pu-sys-mysqlconfig-v1x0x1
      containers:
        - name: pu-sys-mysqlconfig-v1x0x1
          image: dockerhub.daline.com.cn/pu_sys_mysqlconfig:1.0.1.last
          imagePullPolicy: Always
          volumeMounts:
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
          resources:
            requests:
              memory: 64Mi
            limits:
              memory: 128Mi
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            # mysql config
            - name: "MYSQL_SERVER"
              value: "sys-mariadb"
            - name: "MYSQL_PORT"
              value: "3306"
            - name: "MYSQL_ACCOUNT"
              value: "root"
            - name: "MYSQL_PASSWORD"
              value: "Hell0DAL"
            - name: "MYSQL_DB"
              value: "mysql"
            # log config
            - name: "LOG_LEVEL"
              value: "debug"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # port config
      volumes:
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-sys-mysqlconfig-v1x0x1
  name: pu-sys-mysqlconfig-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
  selector:
    app: pu-sys-mysqlconfig-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-sys-mysqlconfig-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-sys-mysqlconfig-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-sys-mysqlconfig-v1x0x1
            port:
              number: 80

---

apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-articleserver-v1x0x1
  labels:
    app: pu-articleserver-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-articleserver-v1x0x1
  template:
    metadata:
      labels:
        app: pu-articleserver-v1x0x1
    spec:
      hostname: pu-articleserver-v1x0x1
      containers:
        - name: pu-articleserver-v1x0x1
          image: dockerhub.daline.com.cn/pu_articleserver_e9f5d79:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "e9f5d79f418267964dca621c86704f4000b006c0"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/kun.z/pu_articleserver/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_articleserver/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_articleserver/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-articleserver-v1x0x1
  name: pu-articleserver-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-articleserver-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-articleserver-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-articleserver-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-articleserver-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-articleserver-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-articleserver-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-articleserver-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-articleserveradmin-v1x0x1
  labels:
    app: pu-articleserveradmin-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-articleserveradmin-v1x0x1
  template:
    metadata:
      labels:
        app: pu-articleserveradmin-v1x0x1
    spec:
      hostname: pu-articleserveradmin-v1x0x1
      containers:
        - name: pu-articleserveradmin-v1x0x1
          image: dockerhub.daline.com.cn/pu_articleserveradmin_4c24e10:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "4c24e104418dfb1892c7a3c3ef83ee8b8fa5cbeb"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/kun.z/pu_articleserveradmin/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_articleserveradmin/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_articleserveradmin/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-articleserveradmin-v1x0x1
  name: pu-articleserveradmin-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-articleserveradmin-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-articleserveradmin-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-articleserveradmin-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-articleserveradmin-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-articleserveradmin-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-articleserveradmin-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-articleserveradmin-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-assetsmanagement-v1x0x1
  labels:
    app: pu-assetsmanagement-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-assetsmanagement-v1x0x1
  template:
    metadata:
      labels:
        app: pu-assetsmanagement-v1x0x1
    spec:
      hostname: pu-assetsmanagement-v1x0x1
      containers:
        - name: pu-assetsmanagement-v1x0x1
          image: dockerhub.daline.com.cn/pu_assetsmanagement_e38b4c3:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "e38b4c3d39db81c1f422de24ac2f283464d6715f"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/kun.z/pu_assetsmanagement/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_assetsmanagement/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_assetsmanagement/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-assetsmanagement-v1x0x1
  name: pu-assetsmanagement-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-assetsmanagement-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-assetsmanagement-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-assetsmanagement-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-assetsmanagement-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-assetsmanagement-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-assetsmanagement-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-assetsmanagement-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-datamanagers-v1x0x1
  labels:
    app: pu-datamanagers-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-datamanagers-v1x0x1
  template:
    metadata:
      labels:
        app: pu-datamanagers-v1x0x1
    spec:
      hostname: pu-datamanagers-v1x0x1
      containers:
        - name: pu-datamanagers-v1x0x1
          image: dockerhub.daline.com.cn/pu_datamanagers_87b52de:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "87b52de2df54aee76144a593435a8b899cb89133"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/kun.z/pu_datamanagers/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_datamanagers/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_datamanagers/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-datamanagers-v1x0x1
  name: pu-datamanagers-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-datamanagers-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-datamanagers-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-datamanagers-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-datamanagers-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-datamanagers-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-datamanagers-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-datamanagers-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-fileparse-v1x0x1
  labels:
    app: pu-fileparse-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-fileparse-v1x0x1
  template:
    metadata:
      labels:
        app: pu-fileparse-v1x0x1
    spec:
      hostname: pu-fileparse-v1x0x1
      containers:
        - name: pu-fileparse-v1x0x1
          image: dockerhub.daline.com.cn/pu_fileparse_d60265d:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "d60265d58b6dbb881bd28fa967bc3b357830af14"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/kun.z/pu_fileparse/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_fileparse/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_fileparse/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-fileparse-v1x0x1
  name: pu-fileparse-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-fileparse-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-fileparse-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-fileparse-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-fileparse-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-fileparse-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-fileparse-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-fileparse-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-fundmanagement-v1x0x1
  labels:
    app: pu-fundmanagement-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-fundmanagement-v1x0x1
  template:
    metadata:
      labels:
        app: pu-fundmanagement-v1x0x1
    spec:
      hostname: pu-fundmanagement-v1x0x1
      containers:
        - name: pu-fundmanagement-v1x0x1
          image: dockerhub.daline.com.cn/pu_fundmanagement_abf85fb:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "abf85fb6271ea0eabe2fac6dd02ba5d5c3e6b184"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/kun.z/pu_fundmanagement/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_fundmanagement/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_fundmanagement/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-fundmanagement-v1x0x1
  name: pu-fundmanagement-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-fundmanagement-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-fundmanagement-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-fundmanagement-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-fundmanagement-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-fundmanagement-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-fundmanagement-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-fundmanagement-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-menuctl-v1x0x1
  labels:
    app: pu-menuctl-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-menuctl-v1x0x1
  template:
    metadata:
      labels:
        app: pu-menuctl-v1x0x1
    spec:
      hostname: pu-menuctl-v1x0x1
      containers:
        - name: pu-menuctl-v1x0x1
          image: dockerhub.daline.com.cn/pu_menuctl_4749c3a:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "4749c3adb9836e3639bd0858299e03b61d8b9600"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/kun.z/pu_menuctl/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_menuctl/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_menuctl/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-menuctl-v1x0x1
  name: pu-menuctl-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-menuctl-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-menuctl-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-menuctl-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-menuctl-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-menuctl-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-menuctl-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-menuctl-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-sms-v1x0x1
  labels:
    app: pu-sms-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-sms-v1x0x1
  template:
    metadata:
      labels:
        app: pu-sms-v1x0x1
    spec:
      hostname: pu-sms-v1x0x1
      containers:
        - name: pu-sms-v1x0x1
          image: dockerhub.daline.com.cn/pu_sms_3c492d1:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "alex.c"
            - name: "GIT_COMMIT"
              value: "3c492d1d5ab9f940dcbf1cd6520e20710a8d4fea"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/alex.c/pu_sms/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/alex.c/pu_sms/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/alex.c/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/alex.c/pu_sms/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-sms-v1x0x1
  name: pu-sms-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-sms-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-sms-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-sms-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-sms-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-sms-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-sms-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-sms-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-statisticscenter-v1x0x1
  labels:
    app: pu-statisticscenter-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-statisticscenter-v1x0x1
  template:
    metadata:
      labels:
        app: pu-statisticscenter-v1x0x1
    spec:
      hostname: pu-statisticscenter-v1x0x1
      containers:
        - name: pu-statisticscenter-v1x0x1
          image: dockerhub.daline.com.cn/pu_statisticscenter_b42d494:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "b42d494e7097b684addfdb53cbede4ae553acfbf"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/kun.z/pu_statisticscenter/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_statisticscenter/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_statisticscenter/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-statisticscenter-v1x0x1
  name: pu-statisticscenter-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-statisticscenter-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-statisticscenter-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-statisticscenter-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-statisticscenter-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-statisticscenter-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-statisticscenter-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-statisticscenter-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-westfutu-menuctl-v1x0x1
  labels:
    app: pu-westfutu-menuctl-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-westfutu-menuctl-v1x0x1
  template:
    metadata:
      labels:
        app: pu-westfutu-menuctl-v1x0x1
    spec:
      hostname: pu-westfutu-menuctl-v1x0x1
      containers:
        - name: pu-westfutu-menuctl-v1x0x1
          image: dockerhub.daline.com.cn/pu_westfutu_menuctl_bbd2ac8:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "alex.c"
            - name: "GIT_COMMIT"
              value: "bbd2ac8273ff6dc7d89426421bfffab66940cf89"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/alex.c/pu_westfutu_menuctl/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/alex.c/pu_westfutu_menuctl/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/alex.c/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/alex.c/pu_westfutu_menuctl/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-westfutu-menuctl-v1x0x1
  name: pu-westfutu-menuctl-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-westfutu-menuctl-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutu-menuctl-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-westfutu-menuctl-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-westfutu-menuctl-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutu-menuctl-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-westfutu-menuctl-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-westfutu-menuctl-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-westfutuconfig-v1x0x1
  labels:
    app: pu-westfutuconfig-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-westfutuconfig-v1x0x1
  template:
    metadata:
      labels:
        app: pu-westfutuconfig-v1x0x1
    spec:
      hostname: pu-westfutuconfig-v1x0x1
      containers:
        - name: pu-westfutuconfig-v1x0x1
          image: dockerhub.daline.com.cn/pu_westfutuconfig_c6d56a2:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "c6d56a2136d48dd516a263f70a5b7c7e4dcc98e0"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/kun.z/pu_westfutuconfig/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_westfutuconfig/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_westfutuconfig/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-westfutuconfig-v1x0x1
  name: pu-westfutuconfig-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-westfutuconfig-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutuconfig-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-westfutuconfig-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-westfutuconfig-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutuconfig-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-westfutuconfig-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-westfutuconfig-v1x0x1
            port:
              number: 81
---


apiVersion: apps/v1
kind: Deployment
metadata:
  name: pu-westfutumanager-v1x0x1
  labels:
    app: pu-westfutumanager-v1x0x1
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-westfutumanager-v1x0x1
  template:
    metadata:
      labels:
        app: pu-westfutumanager-v1x0x1
    spec:
      hostname: pu-westfutumanager-v1x0x1
      containers:
        - name: pu-westfutumanager-v1x0x1
          image: dockerhub.daline.com.cn/pu_westfutumanager_32539a3:1.0.1
          imagePullPolicy: Always
          volumeMounts:
            - name: nfs-store
              mountPath: /var/store/nfs
            - name: nfs-store-author
              mountPath: /var/store/nfs_author
            - name: http-store
              mountPath: /var/store/http
            - name: localtime
              mountPath: /etc/localtime
              readOnly: true
          ports:
            - containerPort: 80
              name: "http"
            - containerPort: 81
              name: "websocket"
          env:
            - name: "TZ"
              value: "Asia/Shanghai"
            - name: "SERVE"
              value: "1"
            - name: "IN_K8S"
              value: "1"
            - name: "AUTHOR"
              value: "kun.z"
            - name: "GIT_COMMIT"
              value: "32539a36f12cabef8ff3151750d838ae7fa64ce8"
            - name: "DAL_ENV"
              value: "dev"
            - name: "DAL_SPACE"
              value: "westfutu"
            # log config
            - name: "LOG_LEVEL"
              value: "info"
            - name: "LOG_DIR"
              value: "/var/log/daline"
            # file storage config
            - name: "TEMP_FOLDER"
              value: "/tmp/"
            - name: "NFS_FOLDER"
              value: "/var/store/nfs/"
            - name: "NFS_FOLDER_AUTHOR"
              value: "/var/store/nfs_author/"
            - name: "HTTP_FOLDER"
              value: "/var/store/http/"
            - name: "HTTP_BASE_URL"
              value: "https://newweb.westfutu.com/dev/westfutu/kun.z/pu_westfutumanager/1_0_1/"
      volumes:
        - name: nfs-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/pu_westfutumanager/1_0_1/"
        - name: nfs-store-author
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/dev/westfutu/kun.z/"
        - name: http-store
          nfs:
            server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
            path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/pu_westfutumanager/1_0_1/"
        - name: localtime
          hostPath:
            path: "/etc/localtime"

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-westfutumanager-v1x0x1
  name: pu-westfutumanager-v1x0x1
spec:
  ports:
    - port: 80
      targetPort: 80
      name: "http"
    - port: 81
      targetPort: 81
      name: "websocket"
  selector:
    app: pu-westfutumanager-v1x0x1

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutumanager-v1x0x1
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
spec:
  ingressClassName: nginx
  rules:
  - host: api-web.westfutu.com
    http:
      paths:
      - path: /westfutu/pu-westfutumanager-v1x0x1(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: pu-westfutumanager-v1x0x1
            port:
              number: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: pu-westfutumanager-v1x0x1-ws
spec:
  ingressClassName: nginx
  rules:
  - host: ws-westfutu-pu-westfutumanager-v1x0x1.ws.westfutu.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: pu-westfutumanager-v1x0x1
            port:
              number: 81

---

apiVersion: batch/v1
kind: CronJob
metadata:
  name: tu-tradecaledar-v1x0x1
spec:
  schedule: "0 1 * * *"
  concurrencyPolicy: Forbid
  jobTemplate:
    spec:
      ttlSecondsAfterFinished: 100
      template:
        spec:
          containers:
          - name: tu-tradecaledar-v1x0x1
            image: dockerhub.daline.com.cn/tu_tradecaledar_3a18889:1.0.1
            imagePullPolicy: Always
            volumeMounts:
              - name: nfs-store
                mountPath: /var/store/nfs
              - name: nfs-store-author
                mountPath: /var/store/nfs_author
              - name: http-store
                mountPath: /var/store/http
              - name: localtime
                mountPath: /etc/localtime
                readOnly: true
            env:
              - name: "TZ"
                value: "Asia/Shanghai"
              - name: "IN_K8S"
                value: "1"
              - name: "AUTHOR"
                value: "kun.z"
              - name: "GIT_COMMIT"
                value: "3a188891b3fb5c7552fe060e02f20f815cb4cb0a"
              - name: "DAL_ENV"
                value: "dev"
              - name: "DAL_SPACE"
                value: "westfutu"
              # log config
              - name: "LOG_LEVEL"
                value: "info"
              - name: "LOG_DIR"
                value: "/var/log/daline"
              # file storage config
              - name: "TEMP_FOLDER"
                value: "/tmp/"
              - name: "NFS_FOLDER"
                value: "/var/store/nfs/"
              - name: "NFS_FOLDER_AUTHOR"
                value: "/var/store/nfs_author/"
              - name: "HTTP_FOLDER"
                value: "/var/store/http/"
              - name: "HTTP_BASE_URL"
                value: "https://newweb.westfutu.com/dev/westfutu/kun.z/tu_tradecaledar/1_0_1/"
          restartPolicy: Never
          volumes:
            - name: nfs-store
              nfs:
                server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
                path: "/home/NFSData/dev/westfutu/kun.z/tu_tradecaledar/1_0_1/"
            - name: nfs-store-author
              nfs:
                server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
                path: "/home/NFSData/dev/westfutu/kun.z/"
            - name: http-store
              nfs:
                server: 369df4abd8-qmf27.cn-shanghai.nas.aliyuncs.com
                path: "/home/NFSData/FileServer/files/dev/westfutu/kun.z/tu_tradecaledar/1_0_1/"
            - name: localtime
              hostPath:
                path: "/etc/localtime"

